org.apache.xmlbeans.impl.tool

## Class CodeGenUtil

- java.lang.Object
- - org.apache.xmlbeans.impl.tool.CodeGenUtil

-     public class CodeGenUtil
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_COMPILER`
    `static String` | `DEFAULT_MEM_MAX`
    `static String` | `DEFAULT_MEM_START`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CodeGenUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `externalCompile(List<File> srcFiles, File outdir, File[] cp, boolean debug)` Deprecated.
    `static boolean` | `externalCompile(List<File> srcFiles, File outdir, File[] cp, boolean debug, String javacPath, String memStart, String memMax, boolean quiet, boolean verbose)`
    `static boolean` | `externalCompile(List<File> srcFiles, File outdir, File[] cp, boolean debug, String javacPath, String genver, String memStart, String memMax, boolean quiet, boolean verbose)` Invokes javac on the generated source files in order to turn them into binary files in the output directory.
    `static URI` | `resolve(URI base, URI child)`
    `static File[]` | `systemClasspath()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MEM_START

          public static final String DEFAULT_MEM_START

      See Also:
        Constant Field Values

    - #### DEFAULT_MEM_MAX

          public static final String DEFAULT_MEM_MAX

      See Also:
        Constant Field Values

    - #### DEFAULT_COMPILER

          public static final String DEFAULT_COMPILER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CodeGenUtil

          public CodeGenUtil()

  - ### Method Detail

    - #### resolve

          public static URI resolve(URI base,
                                    URI child)

    - #### externalCompile

          public static boolean externalCompile(List<File> srcFiles,
                                                File outdir,
                                                File[] cp,
                                                boolean debug)

      Deprecated.
      Invokes javac on the generated source files in order to turn them into binary files in the output directory. This will return a list of `GenFile`s for all of the classes produced or null if an error occurred.

    - #### externalCompile

          public static boolean externalCompile(List<File> srcFiles,
                                                File outdir,
                                                File[] cp,
                                                boolean debug,
                                                String javacPath,
                                                String memStart,
                                                String memMax,
                                                boolean quiet,
                                                boolean verbose)

    - #### externalCompile

          public static boolean externalCompile(List<File> srcFiles,
                                                File outdir,
                                                File[] cp,
                                                boolean debug,
                                                String javacPath,
                                                String genver,
                                                String memStart,
                                                String memMax,
                                                boolean quiet,
                                                boolean verbose)

      Invokes javac on the generated source files in order to turn them into binary files in the output directory. This will return a list of `GenFile`s for all of the classes produced or null if an error occurred.

    - #### systemClasspath

          public static File[] systemClasspath()